# Generated from scarf-0.2.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name scarf

Name: rubygem-%{gem_name}
Version: 0.2.6
Release: 1%{?dist}
Summary: A Ruby library for generating initial avatars and identicons
License: MIT
URL: https://github.com/harigopal/scarf
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(test-unit) >= 3.1
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(sinatra) >= 2.0
# BuildRequires: rubygem(sinatra) < 3
BuildArch: noarch

%description
A Ruby library for generating initial avatars and identicons.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 0.2.6-1
- Initial package
